# 用于 NVDA 的 Notepad++ 增强插件

此插件改进了 Notepad++ 的无障碍支持。Notepad++是运行在 Windows 上的文本编辑器，具有许多功能，您可以在 [https://notepad-plus-plus.org][1] 上了解它的更多信息。

本插件最初由 Derek Riemer 和 Tuukka Ojala 编写，后续的功能则由 Robert H?nggi 及 Andre9642 添加。

## 功能：

### 支持书签

Notepad++ 允许您在文本中设置书签。书签允许您在任何时候快速回到编辑器中的某个位置。

要设置书签，在您希望加入书签的行中按 Ctrl+F2 键。

当您想访问加入的书签时，您可以按 F2 跳到下一个书签，或 Shift+F2 跳到上一个书签。您可以随意设置多个书签。

### 最大行长度提示

Notepad++ 有一个可用于检查行长度的标尺。然而，此功能对于视障用户来说既不可访问也没有意义。因此，本插件设有一个行长度的声音提示器，只要行长度超过指定的字符数就会发出蜂鸣声。

要启用此功能，首先启动 Notepad++，然后进入 NVDA 菜单，并在设置菜单下激活Notepad++。勾选“启用行长度提示器”复选框，并根据需要更改最大字符数。（译者注：按 NVDA+N 打开 NVDA 菜单，依次选择“选项”——“设置”，在打开的对话框的“分类”下选择 “Notepad++ 增强”，然后多选上面提到的复选框，并设置最大行长度。）

当功能启用时，您将在滚动至过长的行，或超过最大长度的字符时听到蜂鸣声。或者，您可以按 NVDA+G 跳到当前过长的行中“最大行长度”后面的第一个字符。

### 转到匹配的大括号

在 Notepad++ 中，您可以通过按 Ctrl + b 移动到程序的匹配大括号。要实现此功能，在您希望匹配的大括号内必须有一（或以上）个字符。

当您执行此命令时，NVDA 会读取您所在的那一行；如果这行只包含一个大括号，它将读取大括号上方和下方的行，于是您就会有上下文的感觉了。

译者注：不仅是“大括号”，其它很多成对的符号，如[ ]，( )，甚至中文中一些成对的符号也可以用这个功能将光标移动到匹配的另一半。

### 自动完成

默认情况下，Notepad++的自动完成功能是没有无障碍支持的。自动完成有许多问题，包括它显示在浮动窗口中。为了使这个功能的访问无障碍，我们做了三件事：

1. 当出现自动完成建议时，会播放“哗哗”声。建议消失时会发出反向声音。
2. 按向下/向上箭头读取下一个/上一个文本建议。
3. 当建议出现时，建议的文本会被朗读。

注：如果连接了点显器，所有文本会同时用盲文显示。目前这项功能正处在试验阶段，有任何问题请立即反馈。

### 增量查找

Notepad++ 最有趣的功能之一就是可以使用增量查找。增量查找是一种查找模式，该模式下，通过在编辑框中键入来搜索您要找的短语时，文档就会随之滚动，实时显示搜索结果。随着您的键入，文档会滚动显示您可能要找的短语所在的行，并高亮显示匹配的文本。该程序还会显示检测到多少匹配项。有按钮可以移动到下一个和上一个匹配项。

在您输入时，NVDA 会朗读 Notepad++ 检测到的搜索结果所在的文本行。NVDA 还能读出有多少匹配项，但仅当匹配数量已更改时才会如此。

当找到您想要的文本行时，只需按下 ESC 键，你的光标就在那一行了。

要启动此对话框，请从“搜索”菜单中选择“增量查找”，或按 Alt+Ctrl+I。

### 朗读关于当前行的信息

在任何时候按 NVDA+Shift+\（反斜杠）就会朗读以下内容：

* 行号。
* 列号，也就是您在行中的第几个字符。
* 选区的大小（水平选择的字符数，然后是垂直选择的字符数，这会形成一个矩形）。只有相应选区存在时才会朗读此信息。

### 支持“上一个或下一个查找”功能

默认情况下，如果按下 Ctrl+F，您就可以打开“查找”对话框。如果您在此输入文本并按下回车键，则会选择窗口中匹配的文本，并将文档移至下一个查找结果。

在 Notepad++中，您可以按 F3/Shift+F3 分别向前/向后重复查找，NVDA 会朗读被选中的查找结果及其所在的行。

## 非默认 Notepad++ 快捷键

本插件期待 Notepad++ 使用默认快捷键。如果没有这样，请您根据需要在 NVDA 的输入手势对话框中更改此应用程序模块的快捷键以适应 Notepad++ 的命令。本插件的所有命令都在“Notepad++”分类下。

[1]: https://notepad-plus-plus.org
